Skip to main content
GET
/
sdk
/
v1
/
runs
/
{runID}
/
state
/
{key}
Get a state value
curl --request GET \
  --url https://api.strait.dev/sdk/v1/runs/{runID}/state/{key} \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "<string>",
  "state_key": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": "<unknown>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

runID
string
required
key
string
required

Response

OK

run_id
string
required
state_key
string
required
updated_at
string<date-time>
required
value
any
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/RunState.json"